<modify>
-sd __c99_generic=_ignore_paren
-sd __DATA_MEMORY_LIST1__=_ignore_paren
-sd __DATA_PTR_MEMORY_LIST1__=_ignore_paren
-sd __HEAP_MEMORY_LIST1__=_ignore_paren
-sd __CODE_PTR_MEMORY_LIST1__=_ignore_paren
-sd _Pragma=_ignore_paren
-sd __memory_of=_ignore_paren
-sd __interrupt=
</modify>

<add>
-sd "__IO_REG8(NAME, ADDRESS, ATTRIBUTE)=__no_bit_access __no_init volatile ATTRIBUTE unsigned char NAME;"
-sd "__IO_REG16(NAME, ADDRESS, ATTRIBUTE)=__no_bit_access __no_init volatile ATTRIBUTE unsigned short NAME";
-sd "__IO_REG32(NAME, ADDRESS, ATTRIBUTE)=__no_bit_access __no_init volatile ATTRIBUTE unsigned long NAME;"
-sd "__IO_REG8_BIT(NAME, ADDRESS, ATTRIBUTE)=__near __no_init volatile ATTRIBUTE unsigned char NAME;"
-sd "__IO_REG16_BIT(NAME, ADDRESS, ATTRIBUTE)=__near __no_init volatile ATTRIBUTE unsigned short NAME;"
-sd "__IO_REG32_BIT(NAME, ADDRESS, ATTRIBUTE)=__near __no_init volatile ATTRIBUTE unsigned long NAME;"
</add>

<remove>
</remove>
